#!/bin/bash
#
# source: http://www.ralinktech.com.tw/data/RT71W_Firmware_V1.8.zip
#
# maintainer: gmg (monpontet.gerard@neuf.fr)
#

#------------------Set Some Variables

buildir=$(pwd)
soft="rt73-firmware"
softversion="1.8"
arch="noarch"
packageversion="54.1"
src="$buildir/RT71W_Firmware_V1.8"
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

# -----------------Extract sources and get ready to build

cd $buildir
rm -rf $src
unzip RT71W_Firmware_V1.8.zip
rm -f $dest.tgz
rm -rf $dest
mkdir -p $dest/install

#-----------------Make the slack-desc files

cat << EODESC >> $dest/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

             |-----handy-ruler------------------------------------------------|
rt73-firmware: rt73-firmware - Firmware for the RT73 chip
rt73-firmware:
rt73-firmware: This package contains the firmware files for the RT73 chip
rt73-firmware: which is used in WLAN USB sticks.
rt73-firmware:
rt73-firmware:
rt73-firmware:
rt73-firmware:
rt73-firmware:
rt73-firmware:
rt73-firmware:
EODESC

#------------------Set correct permissions

cd $src

chown -R root:root .

mkdir -p $dest/lib/firmware
cp *.bin $dest/lib/firmware

mkdir -p $dest/usr/doc/$soft-$softversion
cp LICENSE.ralink-firmware.txt $dest/usr/doc/$soft-$softversion

mkdir -p $dest/usr/src/$soft-$softversion
cp -a $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion

#-------------------Make the packages and the md5sum

cd $dest
makepkg -l y -c n $dest.tgz
cd $buildir
md5sum $package.tgz > $package.md5